package dev.pfaff.altargui.debug.events;

import dev.pfaff.log4truth.format.Appender;

import static java.util.FormatProcessor.FMT;

public record MountEvent(long key) implements WidgetStateEvent {
	@Override
	public void appendTo(Appender appender) {
		String litA = "Mount[key=";
		String litB = "]";
		String keyString = FMT."%016x\{key()}";
		appender.reserve(litA.length() + keyString.length() + litB.length());
		appender.append(litA);
		appender.append(keyString);
		appender.append(litB);
	}

	@Override
	public String toString() {
		return FMT."Mount[key=%016x\{this.key}]";
	}
}
